# 테스트 디바이스 API

## createTestDevice

애플리케이션에 테스트 디바이스를 등록합니다.

`POST` `https://api.pushwoosh.com/json/1.3/createTestDevice`

#### Request Body

| Name | Type | Description |
| :--- | :--- | :--- |
| application\* | string | [Pushwoosh 애플리케이션 코드](/ko/developer/api-reference/api-identifiers/#application-code) |
| push\_token\* | string | 디바이스의 [Push token](/ko/developer/api-reference/api-identifiers/#push-token). |
| device\_type\* | integer | [Device type](/ko/developer/api-reference/api-identifiers/#device-type). `/registerDevice` 메서드에서 가능한 값을 참조하십시오. |
| name\* | string | 테스트 디바이스 이름. |
| description | string | 테스트 디바이스 설명. |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": null
}
```
</TabItem>
</Tabs>

```javascript title="Example"
{
  "request": {
    "application": "XXXXX-XXXXX",        // 필수. Pushwoosh 애플리케이션 코드
    "push_token": "DEVICE_PUSH_TOKEN",   // 필수.
    "device_type": 1,                    // 필수. 디바이스 유형은 /registerDevice 를 참조하십시오
    "name": "TEST_DEVICE_1",             // 필수. 테스트 디바이스 이름
    "description": "android test device" // 선택 사항. 테스트 디바이스 설명
  }
}
```

## listTestDevices

특정 애플리케이션에 대한 모든 테스트 디바이스를 반환합니다.

`POST` `https://api.pushwoosh.com/json/1.3/listTestDevices`

#### Request Body

| Name | Type | Description |
| :--- | :--- | :--- |
| auth\* | string | Pushwoosh Control Panel 의 [API access token](/ko/developer/api-reference/api-identifiers/#api-access-token). |
| application\* | string | [Pushwoosh 애플리케이션 코드](/ko/developer/api-reference/api-identifiers/#application-code) |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "TestDevices": [{
      "name": "iosDevice",
      "type": "1",
      "pushtoken": "token",
      "description": "ios device"
    }]
  }
}
```
</TabItem>
</Tabs>

```javascript title="Example"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H", // 필수. Pushwoosh Control Panel 의 API access token
    "application": "XXXXX-XXXXX"    // 필수. Pushwoosh 애플리케이션 코드
  }
}
```

디바이스 유형은 [`/registerDevice`](/ko/developer/api-reference/device-api/#registerdevice) 를 참조하십시오.